Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.volumes

## Interface VolumeIType

- All Superinterfaces:
    `VolumeSizeValuesIType`, `VolumeValuesIType`
  All Known Implementing Classes:
    `VolumeI`

      @Immutable
      public interface VolumeIType
      extends VolumeValuesIType

  A volume with `int` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `checkPreconditions​()` | Check the preconditions for the parameters.
    `int` | `maximumX​()` |
    `int` | `maximumY​()` |
    `int` | `maximumZ​()` |
    `int` | `minimumX​()` |
    `int` | `minimumY​()` |
    `int` | `minimumZ​()` |

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.volumes.VolumeValuesIType

      `sizeX, sizeY, sizeZ`

- - ### Method Detail

    - #### minimumX

          @Parameter(order=0)
          int minimumX​()

      Specified by:
        `minimumX` in interface `VolumeValuesIType`
      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          @Parameter(order=1)
          int maximumX​()

      Specified by:
        `maximumX` in interface `VolumeValuesIType`
      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          @Parameter(order=2)
          int minimumY​()

      Specified by:
        `minimumY` in interface `VolumeValuesIType`
      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          @Parameter(order=3)
          int maximumY​()

      Specified by:
        `maximumY` in interface `VolumeValuesIType`
      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### minimumZ

          @Parameter(order=4)
          int minimumZ​()

      Specified by:
        `minimumZ` in interface `VolumeValuesIType`
      Returns:
        The value on the Z axis of the minimum edge of the box (inclusive)

    - #### maximumZ

          @Parameter(order=5)
          int maximumZ​()

      Specified by:
        `maximumZ` in interface `VolumeValuesIType`
      Returns:
        The value on the Z axis of the maximum edge of the box (exclusive)

    - #### checkPreconditions

          @Check
          default void checkPreconditions​()

      Check the preconditions for the parameters.

Copyright © 2017 <code@io7m.com> http://io7m.com